%define upstream_name    Test-Lib
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Use libraries from a t/lib directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Searches upward from the calling module for a directory _t_ with a _lib_
directory inside it, and adds it to the module search path. Looks upward up
to 5 directories. This is intended to be used in test modules either
directly in _t_ or in a subdirectory to find their included testing
libraries located in _t/lib_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-5.mga6
+ Revision: 1034309
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.2.0-4.mga6
+ Revision: 938478
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 748647
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 686474
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 664223
- update to 0.002

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 515241
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 373572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 304451
- imported package perl-Test-Lib


* Wed Oct 10 2012 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
